Temperatures
General Method Description
The Temperatures method returns a list of recorded temperatures for the requested period. It only returns data for vehicles the user has access to.
If the list contains at least one vehicle the user does not have access to, a response with error code 401 will be returned.
This method is subject to Rate Limit restrictions.
⚠️ All requests to this endpoint must include the
api-version=2.0parameter in the URL.
URL:POST https://api.trackgps.ro/api/carriers/temperatures?api-version=2.0
⚠️ Note: All date and time values sent or returned by this endpoint are in the company’s local time zone.
Request Parameters
{
"vehiclesList": [
0
],
"startDate": "2024-09-09T09:49:19.549",
"endDate": "2024-09-09T09:49:19.549"
}vehiclesList: The list of vehicles for which temperature data is requested.startDate: The start date of the period for which data is requested.endDate: The end date of the period for which data is requested.
Response Structure
{
"payload": [
{
"temperature": [
{
"vehicleId": 0,
"date": "2025-04-11T12:33:11.817",
"value": 0,
"sensorNumber": 0
}
],
"humidity": [
{
"vehicleId": 0,
"date": "2025-04-11T12:33:11.817",
"value": 0,
"sensorNumber": 0
}
]
}
],
"correlationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"failureReasons": [
{
"errorCode": "string",
"errorParameters": [
"string"
]
}
],
"isSuccess": true
}payload: Contains the results with temperature data.correlationId: A unique identifier for correlating the request and response.failureReasons: The reasons why the request failed, if any.isSuccess: Indicates whether the request was successful.